Subject: Re: [PATCH v3] pcmcia: CompactFlash driver for PA Semi Electra boards

From: Olof Johansson <[email-masked]>
Date: Sat, 21 Jul 2007 15:18:37 -0500

On Fri, Jul 20, 2007 at 04:48:23PM -0700, Andrew Morton wrote:

> > Who's maintaining PCMCIA? MAINTAINERS only lists a mailing list, no person. Seems
> > weird for a component that's marked as maintained.
> 
> Dominik Brodowski.  He's having a bit of downtime at present (exams, I
> think).  He expects to return.  Meanwhile, cc'ing me usually has some
> effect.

Thanks!

> > +static const char driver_name[] = "electra-cf";
> >
> > ...
> >
> > +static struct of_device_id electra_cf_match[] =
> > +{
> > +	{
> > +		.compatible   = "electra-cf",
> > +	},
> > +	{},
> > +};
> 
> Could have reused driver_name[] here, if that was appropriate.

Driver name and device tree compatible field is not neccessarily the same,
even though they do coincide here.

> > --- mainline.orig/arch/powerpc/platforms/pasemi/setup.c
> > +++ mainline/arch/powerpc/platforms/pasemi/setup.c
> 
> I never know who maintains random-scruffy-ppc code like this.  From a peek
> in the git-whatchanged output, it appears to be yourself.

Check the top of the file. :)  (Kumar started doing that, I kept it up,
seems useful). And yes, we do tend to have per-platform maintainers
on ppc.

> Have a few little fixies:

Thanks!

Acked-by: Olof Johansson <[email-masked]>

> --- a/drivers/pcmcia/electra_cf.c~pcmcia-compactflash-driver-for-pa-semi-electra-boards-fix
> +++ a/drivers/pcmcia/electra_cf.c
[...]